'use strict';

var react = require('react');

var useOutsideClick = function (ref, onOutsideClick) {
    react.useEffect(function () {
        var handleOutsideClick = function (event) {
            if (ref.current && !ref.current.contains(event.target)) {
                onOutsideClick();
            }
        };
        document.addEventListener('mousedown', handleOutsideClick);
        document.addEventListener('touchstart', handleOutsideClick);
        return function () {
            document.removeEventListener('mousedown', handleOutsideClick);
            document.removeEventListener('touchstart', handleOutsideClick);
        };
    }, [ref, onOutsideClick]);
};

module.exports = useOutsideClick;
//# sourceMappingURL=index.js.map
