import { useEffect } from 'react';

var useOutsideClick = function (ref, onOutsideClick) {
    useEffect(function () {
        var handleOutsideClick = function (event) {
            if (ref.current && !ref.current.contains(event.target)) {
                onOutsideClick();
            }
        };
        document.addEventListener('mousedown', handleOutsideClick);
        document.addEventListener('touchstart', handleOutsideClick);
        return function () {
            document.removeEventListener('mousedown', handleOutsideClick);
            document.removeEventListener('touchstart', handleOutsideClick);
        };
    }, [ref, onOutsideClick]);
};

export { useOutsideClick as default };
//# sourceMappingURL=index.js.map
